# -*- encoding: utf-8 -*-
# stub: jwt 2.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "jwt".freeze
  s.version = "2.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tim Rudat".freeze]
  s.date = "2019-11-16"
  s.description = "A pure ruby implementation of the RFC 7519 OAuth JSON Web Token (JWT) standard.".freeze
  s.email = "timrudat@gmail.com".freeze
  s.files = ["CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "Manifest".freeze, "README.md".freeze, "Rakefile".freeze, "lib/jwt.rb".freeze, "lib/jwt/algos/ecdsa.rb".freeze, "lib/jwt/algos/eddsa.rb".freeze, "lib/jwt/algos/hmac.rb".freeze, "lib/jwt/algos/rsa.rb".freeze, "lib/jwt/algos/unsupported.rb".freeze, "lib/jwt/decode.rb".freeze, "lib/jwt/default_options.rb".freeze, "lib/jwt/encode.rb".freeze, "lib/jwt/error.rb".freeze, "lib/jwt/security_utils.rb".freeze, "lib/jwt/signature.rb".freeze, "lib/jwt/verify.rb".freeze, "lib/jwt/version.rb".freeze, "ruby-jwt.gemspec".freeze, "spec/fixtures/certs/ec256-private.pem".freeze, "spec/fixtures/certs/ec256-public.pem".freeze, "spec/fixtures/certs/ec256-wrong-private.pem".freeze, "spec/fixtures/certs/ec256-wrong-public.pem".freeze, "spec/fixtures/certs/ec384-private.pem".freeze, "spec/fixtures/certs/ec384-public.pem".freeze, "spec/fixtures/certs/ec384-wrong-private.pem".freeze, "spec/fixtures/certs/ec384-wrong-public.pem".freeze, "spec/fixtures/certs/ec512-private.pem".freeze, "spec/fixtures/certs/ec512-public.pem".freeze, "spec/fixtures/certs/ec512-wrong-private.pem".freeze, "spec/fixtures/certs/ec512-wrong-public.pem".freeze, "spec/fixtures/certs/rsa-1024-private.pem".freeze, "spec/fixtures/certs/rsa-1024-public.pem".freeze, "spec/fixtures/certs/rsa-2048-private.pem".freeze, "spec/fixtures/certs/rsa-2048-public.pem".freeze, "spec/fixtures/certs/rsa-2048-wrong-private.pem".freeze, "spec/fixtures/certs/rsa-2048-wrong-public.pem".freeze, "spec/fixtures/certs/rsa-4096-private.pem".freeze, "spec/fixtures/certs/rsa-4096-public.pem".freeze, "spec/integration/readme_examples_spec.rb".freeze, "spec/jwt/verify_spec.rb".freeze, "spec/jwt_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://github.com/jwt/ruby-jwt".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.1".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "JSON Web Token implementation in Ruby".freeze
  s.test_files = ["spec/fixtures/certs/ec256-private.pem".freeze, "spec/fixtures/certs/ec256-public.pem".freeze, "spec/fixtures/certs/ec256-wrong-private.pem".freeze, "spec/fixtures/certs/ec256-wrong-public.pem".freeze, "spec/fixtures/certs/ec384-private.pem".freeze, "spec/fixtures/certs/ec384-public.pem".freeze, "spec/fixtures/certs/ec384-wrong-private.pem".freeze, "spec/fixtures/certs/ec384-wrong-public.pem".freeze, "spec/fixtures/certs/ec512-private.pem".freeze, "spec/fixtures/certs/ec512-public.pem".freeze, "spec/fixtures/certs/ec512-wrong-private.pem".freeze, "spec/fixtures/certs/ec512-wrong-public.pem".freeze, "spec/fixtures/certs/rsa-1024-private.pem".freeze, "spec/fixtures/certs/rsa-1024-public.pem".freeze, "spec/fixtures/certs/rsa-2048-private.pem".freeze, "spec/fixtures/certs/rsa-2048-public.pem".freeze, "spec/fixtures/certs/rsa-2048-wrong-private.pem".freeze, "spec/fixtures/certs/rsa-2048-wrong-public.pem".freeze, "spec/fixtures/certs/rsa-4096-private.pem".freeze, "spec/fixtures/certs/rsa-4096-public.pem".freeze, "spec/integration/readme_examples_spec.rb".freeze, "spec/jwt/verify_spec.rb".freeze, "spec/jwt_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_development_dependency(%q<simplecov-json>.freeze, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
      s.add_development_dependency(%q<codacy-coverage>.freeze, [">= 0"])
      s.add_development_dependency(%q<rbnacl>.freeze, [">= 0"])
    else
      s.add_dependency(%q<bundler>.freeze, [">= 0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_dependency(%q<simplecov>.freeze, [">= 0"])
      s.add_dependency(%q<simplecov-json>.freeze, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
      s.add_dependency(%q<codacy-coverage>.freeze, [">= 0"])
      s.add_dependency(%q<rbnacl>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov-json>.freeze, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, [">= 0"])
    s.add_dependency(%q<codacy-coverage>.freeze, [">= 0"])
    s.add_dependency(%q<rbnacl>.freeze, [">= 0"])
  end
end
